Page MenuHomePhabricator

Adding Welcome bot to https://kn.wikipedia.org/wiki/
Closed, ResolvedPublic

Description

I would like to request a welcome bot for kannada wikipedia { https://kn.wikipedia.org/wiki/ }

Event Timeline

Anooprao created this task.Aug 3 2017, 4:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2017, 4:16 AM
Xqt triaged this task as Low priority.Aug 3 2017, 5:34 AM
Xqt added a subscriber: Xqt.

How is the bot to be localized for that site?

Restricted Application added subscribers: pywikibot-bugs-list, TerraCodes. · View Herald TranscriptAug 3 2017, 5:35 AM

by using 'kn': u'{{{{ಸುಸ್ವಾಗತ}}}} %s',

welcoming committee kn:wikipedia:project:ಸ್ವಾಗತ

Change 369865 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [L10N] Localisation for kn-wiki

https://gerrit.wikimedia.org/r/369865

Xqt added a comment.Aug 3 2017, 10:06 AM

I added
'kn': '{{subst:ಸುಸ್ವಾಗತ}} %s',
please confirm.

Xqt claimed this task.Aug 3 2017, 10:54 AM

yes it is correct

what should i do next to automatically welcome new users

Xqt added a comment.Aug 4 2017, 5:06 PM

Either wait that somebody reviews this patch; then you have to update your bot. Or you may change your local repository in the same way by yorself.

OK I'll wait for patch to be reviewed

Change 369865 merged by jenkins-bot:
[pywikibot/core@master] [L10N] Localisation for kn-wiki

https://gerrit.wikimedia.org/r/369865

Urbanecm closed this task as Resolved.Aug 9 2017, 2:44 PM
Urbanecm added a subscriber: Urbanecm.

The request seems to be resolved.